FreeMat

- Main Page
- Related Pages

vtkEllipsoidTensorProbeRepresentation

Section: Visualization Toolkit Widget Classes

# Usage

vtkEllipsoidTensorProbeRepresentation is a concrete implementation of vtkTensorProbeRepresentation. It renders tensors as ellipsoids. Locations between two points when probed have the tensors linearly interpolated from the neighboring locations on the polyline.

To create an instance of class vtkEllipsoidTensorProbeRepresentation, simply invoke its constructor as follows

      obj = vtkEllipsoidTensorProbeRepresentation

# Methods

The class vtkEllipsoidTensorProbeRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEllipsoidTensorProbeRepresentation class.

- `string = obj.GetClassName ()` - Standard methods for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for instances of this class.
- `vtkEllipsoidTensorProbeRepresentation = obj.NewInstance ()` - Standard methods for instances of this class.
- `vtkEllipsoidTensorProbeRepresentation = obj.SafeDownCast (vtkObject o)` - Standard methods for instances of this class.
- `obj.BuildRepresentation ()`
- `int = obj.RenderOpaqueGeometry (vtkViewport )`
- `int = obj.SelectProbe (int pos[2])` - Can we pick the tensor glyph at the current cursor pos
- `obj.GetActors (vtkPropCollection )` - See vtkProp for details.
- `obj.ReleaseGraphicsResources (vtkWindow )` - See vtkProp for details.